## com.sun.jersey.api.representation
Class Form

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,java.util.List<java.lang.String>>
              com.sun.jersey.core.util.MultivaluedMapImpl
                  com.sun.jersey.api.representation.Form

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.util.List<java.lang.String>>, MultivaluedMap<java.lang.String,java.lang.String>

    public class Form

extends MultivaluedMapImpl

An implementation of `MultivaluedMap` that may be used for reading/writing String-based form parameters.

Author:
  Doug Kohlert
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`Form()`

Method Summary

Methods inherited from class com.sun.jersey.core.util.MultivaluedMapImpl
`add, add, addFirst, get, getFirst, getFirst, getFirst, putSingle, putSingle`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### Form

    public Form()

Copyright © 2017 Oracle Corporation. All Rights Reserved.